Bug 1376555 - GoLang 1.5 has security issues and is EOL - please provide GoLand 1.7.1 which is new stable
Summary: GoLang 1.5 has security issues and is EOL - please provide GoLand 1.7.1 which...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: golang
Version: el6
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jakub Čajka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-15 17:10 UTC by David Ranch
Modified: 2016-10-10 18:46 UTC (History)
5 users (show)

Fixed In Version: golang-1.7.1-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-10 18:46:42 UTC


Attachments (Terms of Use)

Description David Ranch 2016-09-15 17:10:05 UTC
Description of problem:

GoLang 1.5 has security issues and is EOL as their policy is to only keep two maintained versions.  With the debut of Go 1.7, the legacy 1.5 version was EOLed.  In addition to this, Go is under heavy development and several aspects of v1.5 support has been deprecated and the language developers are pushing users to keep up with, at MINIMUM, their stable releases.  

It's recommended that EPEL packages get upgraded to Golang 1.7.1

Comment 1 Fedora Update System 2016-09-26 11:17:00 UTC
golang-1.7.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1117d3c7f6

Comment 2 Fedora Update System 2016-10-10 18:46:42 UTC
golang-1.7.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.